#{extends 'template/layout.html' /}
#{set title:'Produk' /}
#{set 'moreStyles'}
<link rel="stylesheet" href="@{'/public/lte/bower_components/datatables.net-bs/css/dataTables.bootstrap.min.css'}">
#{/set}
#{set 'moreScripts'}
<script src="@{'/public/lte/bower_components/datatables.net/js/jquery.dataTables.min.js'}"></script>
<script src="@{'/public/lte/bower_components/datatables.net-bs/js/dataTables.bootstrap.min.js'}"></script>
<script type="text/javascript" src="@{'public/js-xlsx/jszip.js'}"></script>
<script type="text/javascript" src="@{'public/js-xlsx/xlsx.js'}"></script>
<script type="text/javascript" src="@{'public/utils/download-trx.js'}"></script>
<script type="text/javascript" src="@{'public/filesaver/FileSaver.min.js'}"></script>
<script>
    $(function () {
      $('table').DataTable();
    })
    var data_transaksi = ${transJson.raw()};
  </script>
#{/set}

#{if flash.success}   
    <div class="alert alert-success alert-with-icon alert-rounded" style="margin-bottom: 0 !important;padding: 5px !important;">
        <i class="fa fa-check"></i>&nbsp;${flash.get("success")}
        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
            <span aria-hidden="true">&times;</span>&nbsp;
        </button>
    </div>
    <br>
#{/if}

<table class="table table-bordered table-striped">
    <thead>
        <th width="20">#</th>
        <th>Nama Barang</th>
        <th>Jumlah</th>
        <th>Harga</th>
        <th>Total</th>
        <th>Status</th>
        <th>Pengiriman</th>
        <th></th>
    </thead>
    #{list trans, as:'trx'}
    <tr>
        <td>${trx_index}</td>
        <td>${trx.barang?.nama}</td>
        <td>${java.text.NumberFormat.getInstance(new Locale("da", "DK")).format((trx.jumlah_item instanceof Number) ? (Number) trx.jumlah_item : 0)
        }</td>
        <td>Rp ${java.text.NumberFormat.getInstance(new Locale("da", "DK")).format((trx.harga_item instanceof Number) ? (Number) trx.harga_item : 0)
        }</td>
        <td>Rp ${java.text.NumberFormat.getInstance(new Locale("da", "DK")).format((trx.total_harga instanceof Number) ? (Number) trx.total_harga : 0)
        }</td>
        <td>${trx.status?.label}</td>
        <td>${trx.pengiriman}</td>
        <td>
            #{if trx.status.equals(models.enums.StatusOfTransaksi.PESAN) && trx.user_id == loginInfo.id}
            <button type="button" class="btn btn-warning" data-toggle="modal" data-target="#modal_konfirmasi-${trx.id}">
                <i class="fa fa-trash"></i>  Batal Pesan
            </button>
            #{/if}
            #{if trx.status.equals(models.enums.StatusOfTransaksi.PESAN) && trx.merchant_id == loginInfo.id}
            <a class="btn btn-primary btn-sm" href="@{CProduk.proses(trx.id, models.enums.StatusOfTransaksi.KIRIM)}">
                <i class="fa fa-send"></i> Kirim
            </a>
            #{/if}
            #{if trx.status.equals(models.enums.StatusOfTransaksi.KIRIM) && trx.user_id == loginInfo.id}
            <a class="btn btn-primary btn-sm" href="@{CProduk.proses(trx.id, models.enums.StatusOfTransaksi.TERIMA)}">
                <i class="fa fa-hand-lizard-o"></i> Terima
            </a>
            #{/if}
            #{if trx.status.equals(models.enums.StatusOfTransaksi.TERIMA) && trx.merchant_id == loginInfo.id}
            <a class="btn btn-primary btn-sm" href="@{CProduk.proses(trx.id, models.enums.StatusOfTransaksi.SELESAI)}">
                <i class="fa fa-check"></i> Selesai
            </a>
            #{/if}
        </td>
    </tr>

    <div class="modal modal-warning fade" id="modal_konfirmasi-${trx.id}">
              <div class="modal-dialog">
                <div class="modal-content">
                  <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                      <span aria-hidden="true">&times;</span></button>
                    <h4 class="modal-title">Konfirmasi Pembatalan Pesanan</h4>
                  </div>
                  <div class="modal-body">
                    <p>Anda yakin akan menghapus <b>${trx.barang?.nama} ?</b></p>
                  </div>
                  <div class="modal-footer">
                    <button type="button" class="btn btn-outline pull-left" data-dismiss="modal">Close</button>
                    <a class="btn btn-outline pull-right" href="@{CProduk.batalPesan(trx.id)}">
                        Lanjutkan
                    </a>
                  </div>
                </div>
                <!-- /.modal-content -->
              </div>
              <!-- /.modal-dialog -->
            </div>
    #{/list}
</table>

<button class="btn btn-primary btn-sm" onclick="generateXlsx()">
        <i class="fa fa-file-excel-o"></i> Export To Excel
</button>
<button class="btn btn-primary btn-sm" onclick="generateJson()">
        <i class="fa fa-file-excel-o"></i> Export To Json
</button>

